/*
Theme Name:  Pastry Castle
Description: Divi child theme
Template:  Divi
*/

/* Focus state
********************************/


/* Fonts
********************************/
@font-face {
    font-family: 'newyorkregular';
    src: url('/wp-content/themes/Pastry%20Castle/Fonts/newyork-webfont.eot');
    src: url('/wp-content/themes/Pastry%20Castle/Fonts/newyork-webfont.eot?#iefix') format('embedded-opentype'),
         url('/wp-content/themes/Pastry%20Castle/Fonts/newyork-webfont.woff2') format('woff2'),
         url('/wp-content/themes/Pastry%20Castle/Fonts/newyork-webfont.woff') format('woff'),
         url('/wp-content/themes/Pastry%20Castle/Fonts/newyork-webfont.ttf') format('truetype'),
         url('/wp-content/themes/Pastry%20Castle/Fonts/newyork-webfont.svg#newyorkregular') format('svg');
    font-weight: normal;
    font-style: normal; }

h1, h2 {
	font-family: 'newyorkregular', Arial, sans-serif; }

body, h3 {
	font-family: 'Nunito Sans', sans-serif; }

body {
	font-weight: 400; }

/*Semi-bold*/
nav ul#top-menu li, .contact-footer-col h3 {
	font-weight: 600; }

/*Bold*/
h3, .et_pb_tabs_controls li a {
	font-weight: 700; }

nav ul#top-menu li, h3, nav ul.et-menu li a {
	text-transform: uppercase; }

p.map-directions a {
	text-decoration: underline; }

nav ul#top-menu li {
	letter-spacing: 0.03rem; }

.et_pb_text_inner h3, div.et_pb_text_1 h3, div.et_pb_text_0 h3, div.et_pb_text_2 h3, div.et_pb_text_3 h3 {
	letter-spacing: 0.5px; }

div.et_pb_button_module_wrapper a.et_pb_button {
    text-align: center; }

.page-top-banner .et_pb_fullwidth_header {
    align-items: center; }

div.et_pb_button_module_wrapper a.et_pb_button {
    padding: 1.25rem 1rem!important; 
	box-shadow: 5px 5px 10px #0000004D; }

div.et_pb_button_module_wrapper a.et_pb_button:hover {
	padding: 1.25rem 1rem!important; 
	box-shadow: 5px 5px 10px #0000003B; }

/* Colours
********************************/
.blue { 
	background-color: #5E8EA7; }

.cream, footer#main-footer {
	background-color: #F0EBDD; }

.brown {
	background-color: #4A3834; }

body {
	color: #595959; }

.white { 
	color: #ffffff; }

/*gold*/
h1 {
	color: #BFB49F; }

.bakery-content * {
	color: #F0EBDD; }

div.et_mobile_nav_menu .mobile_nav.opened ul.et_mobile_menu li.current_page_item a {
	color: #F0EBDD !important; }

/*brown*/
.et_pb_text_0 h1, .et_pb_text_0 h2 { 
	color: #4A3834; }

div#site-nav-row, div#site-nav-menu, .et_mobile_menu li:not(.menu-item-112) a:hover, .nav ul li:not(.menu-item-112) a:hover, .bakery-content div div > .et_pb_section, .bakery-content div div > .et_pb_section > .et_pb_row {
    background-color: transparent; }

/* Icons
********************************/
a.instagram-icon {
	margin-right: 10px; }

/* Animations
********************************/
@-webkit-keyframes fadeIn {
	0% { opacity: 0; }
	100% { opacity: 1; }
}
	
@keyframes fadeIn {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

/* Flex
********************************/
.page-top-banner .et_pb_fullwidth_header {
	display: -webkit-box; 
  	display: -ms-flexbox; 
  	display: -webkit-flex; 
  	display: flex; }

/* Universal Styles
 * ********************************/
.circle-img {
    border-radius: 50%;
    overflow: hidden; }

/* Header
********************************/
div#site-nav-row {
	position: absolute;
	top: 0;
    width: 100%; }

li.menu-item-112 a {
	border-radius: 5px 5px; }

li.current-menu-item > a, .et_mobile_nav_menu .mobile_nav.opened ul.et_mobile_menu li.current_page_item a {
    font-weight: 600;
    border: 1px solid;
	background-color: rgba(0,0,0,0.33); }

.et_pb_menu .et_pb_menu__menu>nav>ul>li {
    padding-left: 8px!important;
}

/* Footer
********************************/
.contact-footer-col p:not(.map-directions) {
    padding-bottom: 0; }

/* Menu page
********************************/
.et_pb_tabs_controls li {
	height: auto!important;
	margin-bottom: 20px; }

.et_pb_tabs_controls li a {
	text-decoration-color: transparent;
	display: inline-block; 
	padding-left: 0;
	padding-right: 0; }

.et_pb_tabs_controls li.et_pb_tab_active a {
	border-bottom: 1px solid; }

.et_pb_all_tabs > div {
	padding: 0 0; }

/* Cafe page
********************************/
ul.et_pb_tabs_controls:after { 
	border: none; }

.bakery-content div div > .et_pb_section, .bakery-content div div > .et_pb_section > .et_pb_row {
    padding-top: 0; }

@media all and (min-width: 981px) {
	/* Fonts
	********************************/
	p.small-text {
		font-size: 0.875rem;
		line-height: 1.5rem; }
	
	nav ul#top-menu li, a.et_pb_button, .contact-footer-col h3, .contact-footer-col p, .contact-footer-col div.footer-contact-hours, nav ul.et-menu li a {
		font-size: 1.125rem;
		line-height: 1.75rem; }
	
	body, .et_pb_text_inner h3, h3, div.et_pb_text_1 h3, div.et_pb_text_0 h3, div.et_pb_text_2 h3, div.et_pb_text_3 h3, .et_pb_tabs_0.et_pb_tabs .et_pb_tabs_controls li, .et_pb_tabs_0.et_pb_tabs .et_pb_tabs_controls li a {
		font-size: 1.5rem;
		line-height: 2rem; }
	
	.et_pb_text_inner h1, .et_pb_text_inner h2 {
		font-size: 4rem;
		line-height: 4.625rem; }
	
	div.et_pb_button_module_wrapper a.et_pb_button, div.et_pb_button_module_wrapper a.et_pb_button:hover {
		min-width: 279px; }
	
	/* Page top banner*/
	.page-top-banner .et_pb_fullwidth_header {
    	min-height: 750px; }
	
	/* Colours
	********************************/
	nav ul.et-menu li a {
		color: #f0ebdc; }
	
	/* Flexbox
	********************************/
	div#contact-footer-row {
		display: -webkit-box; 
  		display: -ms-flexbox; 
  		display: -webkit-flex; 
  		display: flex; }
	
	div#contact-footer-row {
		flex-direction: row;
		justify-content: space-between; }
	
	/*Menu tabs*/
	.et_pb_tabs_controls li a {
		padding-bottom: 10px;
		padding-left: 0;
		padding-right: 0; }
	
	/*Header
	********************************/
	div.et_pb_menu .et_pb_menu__menu, .et_pb_menu__menu>nav, .et_pb_menu .et_pb_menu__menu>nav>ul {
		width: 100%!important; }
	
	.et_pb_menu .et_pb_menu__menu>nav>ul { 
		justify-content: flex-end!important; }
	
	.et_pb_menu .et_pb_menu__menu>nav>ul>li {
		-ms-flex-align:  center;
		align-items: center; 
		padding-right: 0; }
	
	.et_pb_menu .et_pb_menu__menu>nav>ul>li:first-child {
		padding-left: 0; }
	
	.et_pb_menu .et_pb_menu__menu>nav>ul>li:not(.menu-item-112)>a{
		padding: 7px 15px; }
	
	.et_pb_menu__menu>nav>ul>li.menu-item-112 a {
    	padding: 15px 30px; }
	
	/* Footer
	********************************/
	div.contact-footer-col:not(:first-child) {
		width: 20%; }
}
@media screen and (min-width: 1351px) {
	.et_pb_menu_0_tb_header.et_pb_menu .et_mobile_menu .menu-item-112 a {
		color: #f0ebdd!important;
		width: 50%;
		float: left;
		margin-right: 5%; }
	
	li.menu-item-112 a, li.menu-item-112 a:hover {
		background-color: #5E8EA7; }
}
@media screen and (max-width: 1350px) {
	/*hide divi desktop menu*/
	.et_pb_menu .et_pb_menu__menu {
        display: none; }
	
	/*show mobile menu*/
    .et_mobile_nav_menu {
		display: block; }
	
	/*show logo on mobile menu open*/
	.et_pb_menu__logo {
		z-index: 991; }
	
	.et_mobile_menu {
		position: absolute;
		top: 0 !important;
		left: 0px;
		right: 0px;
		z-index: 990;
		padding-top: 145px !important; }
	
	.mobile_menu_bar {
		z-index: 999;
		background-color: #f0ebdd; }
	
	/*remove bullet points from submenu*/
	.et_pb_menu .et_mobile_menu .entry-content ul {
	  list-style-type: none; }
	
	/*remove padding left on submenu*/
	.et_pb_menu .et_mobile_menu {
		padding-left: 0;
		top: 100%;
    	padding: 5%;
		list-style-type: none; }
	
	.et_pb_menu--style-left_aligned .et_pb_menu__wrap {
		-webkit-box-pack: end;
		-ms-flex-pack: end;
		justify-content: flex-end; }
	
	div#site-nav-menu { 
		margin-top: 0 !important; }
	
	div#site-nav-row > div.et_pb_row { 
	    width: 100%;
    	max-width: 100%; }
	
	div#site-nav-menu > div {
    	padding: 20px 5%; }	
	
	.mobile_nav.opened span:before {
    	content: "\4d"; }
	
	.mobile_nav ul li {
		text-align: center;
		padding-bottom: 20px; }
	
	.mobile_nav ul li a {
		font-size: 1.25rem!important;
		line-height: 1.75rem;
		text-align: center;
		display: inline-block;
		text-transform: uppercase; 
		float: none!important;
		margin-right: 0!important; 
		width: auto!important; }
}
@media screen and (max-width: 980px) {
	p.small-text {
		font-size: 0.625rem;
		line-height: 1.125rem; }
	
/* 	li.menu-item-112 a {
    	padding: 1.25rem 1rem!important;
    	font-size: 1rem!important; } */
	
	.page-top-banner .et_pb_fullwidth_header {
    	min-height: 400px; }
	
	div#site-nav-row.cream {
		background-color: #F0EBDD; }
	
	/*Replace 4 column to 2 columns on mobile and tablet*/
	.et_pb_row_1-4_1-4>.et_pb_column.et_pb_column_1_4, .et_pb_row_1-4_1-4_1-2>.et_pb_column.et_pb_column_1_4, .et_pb_row_4col>.et_pb_column.et_pb_column_1_4 {
    	width: 47.25% !important;
    	margin-right: 5.5% !important; }
	
	.et_pb_row_1-4_1-4>.et_pb_column.et_pb_column_1_4:nth-child(2n), .et_pb_row_1-4_1-4_1-2>.et_pb_column.et_pb_column_1_4:nth-child(2n), .et_pb_row_4col>.et_pb_column.et_pb_column_1_4:nth-child(2n) {
    	margin-right: 0 !important; }
	
	.contact-footer-col {
		padding-bottom: 2em;
		text-align: center; }
	
	.bakery-content .et_pb_row {
		width: 100%;
		max-width: 100%; }
}
@media screen and (max-width: 980px) and (min-width: 768px){
	.et_pb_text_inner h1, .et_pb_text_inner h2, div h2, div h1 {
		font-size: 4.0625rem;
		line-height: 4.6875rem; }
	
	body, .et_pb_text_inner h3, div h3, ul.et_pb_tabs_controls li a {
		font-size: 1.25rem;
		line-height: 1.75rem; }
	
	a.et_pb_button {
		font-size: 1.125rem;
		line-height: 1.75rem; }
	
	div.et_pb_button_module_wrapper a.et_pb_button, div.et_pb_button_module_wrapper a.et_pb_button:hover {
		min-width: 279px;
		padding-left: 3rem!important;
		padding-right: 3rem!important; }
}
@media screen and (max-width: 767px) {
	.et_pb_text_inner h1, .et_pb_text_inner h2, div h2, div h1  {
		font-size: 3rem;
		line-height: 4rem; }
	
	body, .et_pb_text_inner h3, h3, a.et_pb_button, ul.et_pb_tabs_controls li a {
		font-size: 1rem;
		line-height: 1.625rem; }
	
	div.et_pb_button_module_wrapper a.et_pb_button, div.et_pb_button_module_wrapper a.et_pb_button:hover {
		width: 100%; }
	
	.et_pb_menu__logo-wrap div.et_pb_menu__logo {
		margin-right: 60px; 
		max-width: 250px; }
	
	.et_pb_tabs_0.et_pb_tabs .et_pb_tabs_controls {
		margin-bottom: 2em;	}
	
	.et_pb_tabs_controls li {
		text-align: center; 
		height: auto!important;
		margin-bottom: 15px; }
	
	.et_pb_tabs_controls li.et_pb_tab_active a {
		padding: 10px 20px;
		border: 1px solid; 
		background-color: rgba(0,0,0,0.33); }
	
	.et_pb_menu .et_mobile_menu {
		height: 100vh; }
}

/* Print 
*********************************/
@media print {
	body {
		-webkit-print-color-adjust: exact;
    	margin: 0; }
	
	header, footer { 
		display: none; }
}